## org.hibernate.hql.internal.classic
Class ClauseParser

    java.lang.Object
      org.hibernate.hql.internal.classic.ClauseParser

All Implemented Interfaces:
  Parser

    public class ClauseParser

extends Object
implements Parser

Parses the Hibernate query into its constituent clauses.

Constructor Summary
`ClauseParser()`

Method Summary
`void` `end(QueryTranslatorImpl q)`
`void` `start(QueryTranslatorImpl q)`
`void` `token(String token, QueryTranslatorImpl q)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClauseParser

    public ClauseParser()

Method Detail

### token

    public void token(String token,
                      QueryTranslatorImpl q)
               throws QueryException

  Specified by:
    `token` in interface `Parser`
  Throws:
    `QueryException`

### start

    public void start(QueryTranslatorImpl q)

  Specified by:
    `start` in interface `Parser`

### end

    public void end(QueryTranslatorImpl q)
             throws QueryException

  Specified by:
    `end` in interface `Parser`
  Throws:
    `QueryException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.